<?php

/**
 * Welcome Screen Class
 */
class aazeen_Welcome {

	/**
	 * Constructor for the welcome screen
	 */
	public function __construct() {

		/* load welcome screen */
		add_action( 'aazeen_welcome', array( $this, 'aazeen_welcome_getting_started' ), 10 );
		add_action( 'aazeen_welcome', array( $this, 'aazeen_welcome_actions_required' ), 20 );
		add_action( 'aazeen_welcome', array( $this, 'aazeen_welcome_support' ), 40 );

		/* activation notice */
		add_action( 'load-themes.php', array( $this, 'aazeen_activation_admin_notice' ) );
	}

	/**
	 * Adds an admin notice upon successful activation.
	 */
	public function aazeen_activation_admin_notice() {
		global $pagenow;

		if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET[ 'activated' ] ) ) {
			add_action( 'admin_notices', array( $this, 'aazeen_welcome_admin_notice' ), 99 );
		}
	}

	/**
	 * Display an admin notice linking to the welcome screen
	 */
	public function aazeen_welcome_admin_notice() {
		// Get Theme Details from style.css
		$theme = wp_get_theme();
		?>
		<div class="updated notice is-dismissible">
			<p><?php printf( esc_html( 'Welcome! Thank you for choosing %1s! To start with one click  %2s.', 'aazeen' ), $theme->get( 'Name' ), '<a href="' . esc_url( admin_url( 'admin.php?page=pt-one-click-demo-impor' ) ) . '">' . esc_html( 'Demo import', 'aazeen' ) . '</a>' ); ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'admin.php?page=pt-one-click-demo-import' ) ); ?>" class="button" style="text-decoration: none;"><?php printf( esc_html( 'Get started with %1s', 'best-blog' ), $theme->get( 'Name' ) ); ?></a></p>
		</div>
		<?php
	}


}

$GLOBALS[ 'aazeen_Welcome' ] = new aazeen_Welcome();
